%global commit f22f9eac28b5e1418abe3d96df15d6900015b88d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-cxf
Version:        0.14.0
Release:        0.7.git%{shortcommit}%{?dist}
Summary:        M2E CXF connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-cxf/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-cxf/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)

Enhances:       eclipse-m2e-core

%description
This package provides CXF connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-cxf-%{commit}
find -name *.jar -delete

# Fedora has newer version of M2E.  Relax bundle version requirements.
sed -i 's/\[1.0.0,1.2.0)/[1.0.0,2.0.0)/' $(find -name *.MF)

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.cxf.feature/license.html

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-0.7.gitf22f9ea
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.6.gitf22f9ea
- Add Enhances: eclipse-m2e-core

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.14.0-0.5.gitf22f9ea
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-0.4.gitf22f9ea
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.3.gitf22f9ea
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-0.2.gitf22f9ea
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.1.gitf22f9ea
- Initial commit
